Get collection table object

- « Schema::getCollection

- Schema::getCollections »

- PHP Manual
- mysql_xdevapi\Schema
- Get collection table object

# Schema::getCollectionAsTable

(No version information available, might only be in Git)

Schema::getCollectionAsTable — Get collection table object

### Description

public mysql_xdevapi\Schema::getCollectionAsTable(string `$name`): mysql_xdevapi\Table

Get a collection, but as a Table object instead of a Collection object.

### Parameters

`name`

  Name of the collection to instantiate a Table object from.

### Return Values

A table object for the collection.

### Examples

Example #1 Schema::getCollectionAsTable example

    <?php$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");$session->sql("DROP DATABASE IF EXISTS addressbook")->execute();$session->sql("CREATE DATABASE addressbook")->execute();$schema  = $session->getSchema("addressbook");$collect = $schema->createCollection("people");$collect->add('{"name": "Fred",  "age": 21, "job": "Construction"}')->execute();$collect->add('{"name": "Wilma", "age": 23, "job": "Teacher"}')->execute();$table      = $schema->getCollectionAsTable("people");$collection = $schema->getCollection("people");var_dump($table);var_dump($collection);

The above example will output something similar to:

    object(mysql_xdevapi\Table)#4 (1) {
      ["name"]=>
      string(6) "people"
    }

    object(mysql_xdevapi\Collection)#5 (1) {
      ["name"]=>
      string(6) "people"
    }